#include <stdio.h>
#include <stdlib.h>

int main()
{
    double cifra = 0.00;
    double procenat = 0.00;
    int n;
    scanf("%d", &n);
    double cifre[n];
   double A[n];
   double P[n];
   for(int i=0; i<n; i++){
    scanf("%lf", (A+i));
    scanf("%lf", (P+i));
   }

   for(int i=0; i<n; i++){
    procenat=P[i];
    for(int j=0; j<n; j++){
     if(P[j]>=procenat){
        cifra+=A[j]*(procenat/100.00);
     }
    }
    cifre[i] = cifra;
    cifra = 0.00;
   }
   for(int i=0; i<n; i++){
    if(cifre[i]>cifra){
        cifra = cifre[i];
    }
   }
   printf("%.5lf",cifra);
    return 0;
}